net.corda.client.fxutils

## Class MappedList<A,B>

- net.corda.client.fxutils.MappedList<A,B>

-     public class MappedList<A,B>

  This is a variant of EasyBind.map where the mapped list is backed, therefore the mapping function will only be run when an element is inserted or updated. Use this instead of EasyBind.map to trade off memory vs CPU, or if (god forbid) the mapped function is side-effecting.

  See Also:
    EasyBind.map, EasyBind.map

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MappedList(javafx.collections.ObservableList<A> list, kotlin.jvm.functions.Function1<? super A,? extends B> function)` This is a variant of EasyBind.map where the mapped list is backed, therefore the mapping function will only be run when an element is inserted or updated. Use this instead of EasyBind.map to trade off memory vs CPU, or if (god forbid) the mapped function is side-effecting.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `B` | `get(int index)`
    `kotlin.jvm.functions.Function1<A,B>` | `getFunction()`
    `int` | `getSize()`
    `int` | `getSourceIndex(int index)`
    `java.lang.Object` | `remove(int p)`
    `java.lang.Object` | `removeAt(int p)`
    `int` | `size()`
    `void` | `sourceChanged(javafx.collections.ListChangeListener.Change<? extends A> change)`

- - ### Constructor Detail

    - #### MappedList

          public MappedList(javafx.collections.ObservableList<A> list,
                            kotlin.jvm.functions.Function1<? super A,? extends B> function)

      This is a variant of EasyBind.map where the mapped list is backed, therefore the mapping function will only be run when an element is inserted or updated. Use this instead of EasyBind.map to trade off memory vs CPU, or if (god forbid) the mapped function is side-effecting.

      See Also:
        EasyBind.map, EasyBind.map

  - ### Method Detail

    - #### sourceChanged

          public void sourceChanged(javafx.collections.ListChangeListener.Change<? extends A> change)

    - #### get

          public B get(int index)

    - #### getSize

          public int getSize()

    - #### size

          public int size()

    - #### getSourceIndex

          public int getSourceIndex(int index)

    - #### getFunction

          public kotlin.jvm.functions.Function1<A,B> getFunction()

    - #### removeAt

          public java.lang.Object removeAt(int p)

    - #### remove

          public java.lang.Object remove(int p)